Subject: bug#45894: AW: AW: bug#45894: Bug report for preview-latex

From: "Bruckmann, Tobias" <[email-masked]>
Date: Thu, 25 Feb 2021 06:44:24 +0000

Dear David,

this is a good question. I didn't want to push but just point out the relevance of the issue, believing that you feel a personal appreciation (and/or certain responsibility) for a code you officially maintain.

If I had the expertise to fix the code on my own, I would not have spent the time to find and bother you, but better invest it to produce the solution and propose it to you.

If you ask for money - that could be a problem. I have no idea on the time needed to find the problem, to fix and to test it. Hiring a professional is probably beyond my budget as I am just an academics. As such, I am volunteering as well in multiple matters, trying to improve things - so I think when it comes to projects driven by enthusiastism, I share your engagement, but I don't think that a spirit of needing individual payments will lead to a better future for open source projects. If this was the way to go, I'd better buy a commercial text processor I can afford and stick with it.

But I am in the weaker position and already spent lots of time in a LaTeX-based thesis, so please let me know a price, and I have to see...

Thanks and best wishes,
Tobias

________________________________
Von: David Kastrup <[email-masked]>
Gesendet: Donnerstag, 25. Februar 2021 00:58
An: Bruckmann, Tobias
Cc: Ikumi Keita; [email-masked]; [email-masked]
Betreff: Re: AW: AW: bug#45894: Bug report for preview-latex 

"Bruckmann, Tobias" <[email-masked]> writes: 

> Hi Ikumi, David 
> 
> this is a bad situation. I am quite surprised I am the first (and only?) one 
> to stumble across this: 
> - Most scientific works use vector EPS graphics. psfrag is extremely popular 
> in this field. 
> - Most works are published in PDF 
> - You can't get around hyperref 
> 
> The combination of pstool and pdfLaTeX seems to be the most promising 
> approach to me to join these points in one toolchain. Living with an old 
> version might work for some months, but this can't be the future. 
> 
> So there's no pathway and this toolchain is dead forever? 
> 
> Thanks for your appreciated comment, 

So what are you willing to invest to avert the catastrophe?  In terms of 
procuring code or paying for the time of those who do? 

-- 
David Kastrup